<template>
  <div class="set">
    <div class="set-tabs mt-5">
      <div class="__title my-lg-5 my-md-3">Настройки</div>
      <div class="tabs-wrap">
        <v-btn
          v-for="tab in tabs"
          :key="`tabs-set-${tab.id}`"
          :class="{'_active':activeTab === tab.id}"
          class="set-tab"
          text
          @click="activeTab = tab.id"
        >
          {{tab.title}}
        </v-btn>
        <v-menu
          class="mobile-tabs"
          bottom
          offset-y
        >
          <template v-slot:activator="{ on, attrs }">
            <v-btn
              v-bind="attrs"
              v-on="on"
              width="175px"
              class="mobile-tabs"
            >{{filterTabs.title}} <v-icon>mdi-chevron-down</v-icon></v-btn>
          </template>
          <v-list>
            <v-list-item
              v-for="tab in tabs"
              :key="tab.id"
            >
              <v-btn
                :class="{'_active':activeTab === tab.id}"
                class="admin-tab"
                text
                @click="activeTab = tab.id"
              >
                {{tab.title}}
                <img style="margin-left: 5px" src="../assets/img/general/menu-select.svg" v-if="tab.id === 5" alt="">
              </v-btn>
            </v-list-item>
          </v-list>
        </v-menu>
      </div>
      <v-dialog
        v-model="dialog.add"
        width="500"

        v-if="activeTab === 2"
      >
        <template v-slot:activator="{ on, attrs }">
          <v-btn
            color="primary"
            elevation="2"
            raised
            class="ml-auto mb-5 mb-sm-0"
            v-bind="attrs"
            v-on="on"
          >
            Добавить воронку
            <v-icon color="#fff">mdi-plus</v-icon>
          </v-btn>
        </template>

        <v-card class="pa-5">
          <v-card-title class="text-h5">
            Добавить воронку
          </v-card-title>
          <v-divider class="mb-5"></v-divider>
          <v-card-text>
            <div class="dialog-input-wrap">
              <p>Название воронки</p>
              <input type="text" placeholder="Введите текст">
            </div>
          </v-card-text>

          <v-divider></v-divider>

          <v-card-actions>
            <v-btn
              color="primary"
              elevation="2"
              raised
              @click="dialog = false"
              class="mx-auto"
            >
              Добавить воронку
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-dialog>
      <v-dialog
        v-model="dialog.add"
        width="500"

        v-if="activeTab === 3"
      >
        <template v-slot:activator="{ on, attrs }">
          <v-btn
            color="primary"
            elevation="2"
            raised
            class="ml-auto mb-5 mb-sm-0"
            v-bind="attrs"
            v-on="on"
          >
            Добавить список
            <v-icon color="#fff">mdi-plus</v-icon>
          </v-btn>
        </template>

        <v-card class="pa-5">
          <v-card-title class="text-h5">
            Добавить список
          </v-card-title>
          <v-divider class="mb-5"></v-divider>
          <v-card-text>
            <div class="dialog-input-wrap">
              <p>Название воронки</p>
              <input type="text" placeholder="Введите текст">
            </div>
          </v-card-text>

          <v-divider></v-divider>

          <v-card-actions>
            <v-btn
              color="primary"
              elevation="2"
              raised
              @click="dialog = false"
              class="mx-auto"
            >
              Добавить воронку
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-dialog>
    </div>
    <div class="set-wrap" v-if="activeTab === 1">
      <div class="set-container">
        <div class="input-wrap" style="width: 55%">
          <p>Адрес CRM</p>
          <input placeholder="Введите текст" type="text">
        </div>
        <div class="input-wrap" style="width: 40%">
          <p>Название компании</p>
          <input placeholder="Введите текст" type="text">
        </div>
      </div>
      <div class="set-container">
        <div class="input-wrap" style="width: 100%">
          <p>Lead Info 1</p>
          <input placeholder="Введите текст" type="text">
        </div>
      </div>
      <div class="set-container">
        <div class="input-wrap" style="width: 100%">
          <p>Lead Info 2</p>
          <input placeholder="Введите текст" type="text">
        </div>
      </div>
    </div>
    <div class="crater" v-if="activeTab === 2">
      <div class="left-bar">
        <v-btn
          elevation="2"
          raised
          width="200px"
          class="d-flex justify-space-between my-1 tabs-crater"
          v-for="tab in tabsCrater"
          :key="`tabs-crater-${tab.id}`"
          :class="{'_active':activeTabCrater.crater === tab.id}"
          @click="activeTabCrater.crater = tab.id"
        >
          {{tab.title}}
          <v-btn
            icon
            text
            class="ml-2"
          >
            <v-icon
              class="tabs-crater-icon"
              :class="{'_active':activeTabCrater.crater === tab.id}"
              @click="dialog.edit = activeTabCrater.crater"
            >
              mdi-pencil
            </v-icon>
            <v-dialog
              v-model="dialog.edit"
              width="500"

              v-if="activeTabCrater.crater === tab.id"
            >
              <v-card class="pa-5">
                <v-card-title class="text-h5">
                  Добавить воронку
                </v-card-title>
                <v-divider class="mb-5"></v-divider>
                <v-card-text>
                  <div class="dialog-input-wrap">
                    <p>Название воронки</p>
                    <input type="text" placeholder="Введите текст">
                  </div>
                </v-card-text>

                <v-divider></v-divider>

                <v-card-actions>
                  <v-btn
                    color="primary"
                    elevation="2"
                    raised
                    @click="dialog = false"
                    class="mx-auto"
                  >
                    Добавить воронку
                  </v-btn>
                </v-card-actions>
              </v-card>
            </v-dialog>
          </v-btn>
        </v-btn>
      </div>
      <div class="right-bar">
        <section class="table">
          <div class="table-wrap">
            <table style="padding-left: 50px">
              <tr>
                <th>
                  Название
                </th>
                <th>
                  Тип
                </th>
                <th>
                  Ссылка
                </th>
                <th>
                  Добавлен
                </th>
              </tr>
              <tr>
                <td>Афанасий, фары</td>
                <td>Евгений Шельмин</td>
                <td>websitedomain.ru</td>
                <td><a href="tel:+79991234567">79991234567</a><br>
                  <a href="mailto:afanasiy@domain.com">afanasiy@domain.com</a></td>
                <td>
                  <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
                </td>
              </tr>
              <tr>
                <td style="color: #3183FF">Добавить статус</td>
                <td></td>
                <td></td>
                <td></td>
                <td><v-icon color="primary" class="ml-3">mdi-plus</v-icon></td>
              </tr>
            </table>
          </div>
        </section>
      </div>
    </div>
    <div class="list" v-if="activeTab === 3">
      <div class="left-bar">
        <v-btn
          elevation="2"
          raised
          width="250px"
          class="d-flex justify-space-between my-1 tabs-crater"
          v-for="tab in tabsList"
          :key="`tabs-crater-${tab.id}`"
          :class="{'_active':activeTabCrater.list === tab.id}"
          @click="activeTabCrater.list = tab.id"
        >
          {{tab.title}}
          <v-btn
            icon
            text
            class="ml-2"
          >
            <v-icon
              class="tabs-crater-icon"
              :class="{'_active':activeTabCrater.list === tab.id}"
              @click="dialog.edit = activeTabCrater.list"
            >
              mdi-pencil
            </v-icon>
            <v-dialog
              v-model="dialog.edit"
              width="500"

              v-if="activeTabCrater.list === tab.id"
            >
              <v-card class="pa-5">
                <v-card-title class="text-h5">
                  Добавить воронку
                </v-card-title>
                <v-divider class="mb-5"></v-divider>
                <v-card-text>
                  <div class="dialog-input-wrap">
                    <p>Название воронки</p>
                    <input type="text" placeholder="Введите текст">
                  </div>
                </v-card-text>

                <v-divider></v-divider>

                <v-card-actions>
                  <v-btn
                    color="primary"
                    elevation="2"
                    raised
                    @click="dialog = false"
                    class="mx-auto"
                  >
                    Добавить воронку
                  </v-btn>
                </v-card-actions>
              </v-card>
            </v-dialog>
          </v-btn>
        </v-btn>
      </div>
      <div class="right-bar">
        <section class="table">
          <div class="table-wrap">
            <table style="padding-left: 50px">
              <tr>
                <th>
                  Название
                </th>
                <th>
                  Тип
                </th>
                <th>
                  Ссылка
                </th>
                <th>
                  Добавлен
                </th>
              </tr>
              <tr>
                <td>Афанасий, фары</td>
                <td>Евгений Шельмин</td>
                <td>websitedomain.ru</td>
                <td><a href="tel:+79991234567">79991234567</a><br>
                  <a href="mailto:afanasiy@domain.com">afanasiy@domain.com</a></td>
                <td>
                  <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
                </td>
              </tr>
              <tr>
                <td style="color: #3183FF">Добавить статус</td>
                <td></td>
                <td></td>
                <td></td>
                <td><v-icon color="primary" class="ml-3">mdi-plus</v-icon></td>
              </tr>
            </table>
          </div>
        </section>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Settings',
  data () {
    return {
      tabs: [
        { title: 'Основные', id: 1 },
        { title: 'Воронки продаж', id: 2 },
        { title: 'Дополнительные поля', id: 3 }
      ],
      tabsCrater: [
        { title: 'Главная', id: 1 },
        { title: 'Регионы', id: 2 },
        { title: 'Иностранцы', id: 3 }
      ],
      tabsList: [
        { title: 'Сделки', id: 1 },
        { title: 'Отказы', id: 2 },
        { title: 'Шаблоны SMS/WA', id: 3 },
        { title: 'Шаблоны документов', id: 4 }
      ],
      activeTab: 1,
      activeTabCrater: {
        crater: 1,
        list: 1
      },
      dialog: {
        edit: false,
        add: false
      }
    }
  },
  computed: {
    filterTabs () {
      return this.tabs.find((e) => {
        return e.id === this.activeTab
      })
    }
  }
}
</script>

<style scoped lang="scss">
  .set {
    .set-tabs {
      display: flex;
      align-items: center;
      width: 100%;
      @media (max-width: 580px) {
        display: flex;
        flex-direction: column;
        & button {
          width: 100%!important;
        }
      }
      .tabs-wrap {
        overflow: hidden;
        padding: 0;
        display: inline-flex;
        width: min-content;
        margin-left: 100px;
        @media (max-width: 580px) {
          width: 100%;
          margin-left: 0;
          margin-bottom: 10px;
        }
        .set-tab {
          position: relative;
          color: #8BAFE4;
          @media (max-width: 700px) {
            display: none;
          }
          &._active {
            color: #3183FF;
            &:after {
              content: '';
              position: absolute;
              bottom: 0;
              width: 100%;
              height: 2px;
              background-color: #1976D2;
              z-index: 200000;
            }
          }
        }
        .mobile-tabs {
          display: none;
          @media (max-width: 700px) {
            display: block;
          }
        }
      }
    }
    .set-wrap {
      .set-container {
        margin-bottom: 12px;
        display: flex;
        justify-content: space-between;
      }
    }
    .crater, .list {
      @media (max-width: 900px) {
        display: flex;
        flex-direction: column;
      }
      .tabs-crater {
        background-color: white;
        transition: all .3s;
        color: #1976D2;
        &._active {
          background-color: #1976D2;
          color: #ffffff;
        }
      }
      .tabs-crater-icon {
        color: rgba(0, 0, 0, 0.16);
        &._active {
          color: #ffffff;
        }
      }
    }
    .crater, .list {
      display: flex;
      width: 100%;
      .left-bar {
        margin-right: 20px;
        @media (max-width: 580px) {
          width: 100%;
          & .tabs-crater {
            width: 100%!important;
          }
        }
      }
      .right-bar {
        width: 100%;
      }
    }
  }
  .input-wrap, .dialog-input-wrap {
    margin-bottom: 12px;
    p {
      margin: initial;
      margin-bottom: 5px;
    }
    input {
      background: #FFFFFF;
      border: 1px solid #CCD4DD;
      box-sizing: border-box;
      border-radius: 4px;
      padding: 13px 12px;
      width: 100%;
    }
  }
</style>
